Functions
Functions
Peripheral Driver » APP DRIVER » AES
Collaboration diagram for Functions:

## Functions
uint16_t | app_aes_init (app_aes_params_t *p_params, app_aes_evt_handler_t evt_handler)
| Initialize the APP AES DRIVER according to the specified parameters in the app_aes_params_t and app_aes_evt_handler_t. More...
uint16_t | app_aes_deinit (void)
| De-initialize the APP AES DRIVER peripheral. More...
uint16_t | app_aes_encrypt_sync (uint32_t *p_plain_data, uint32_t number, uint32_t *p_cypher_data, uint32_t timeout)
| Encrypted an amount of data in blocking mode. More...
uint16_t | app_aes_decrypt_sync (uint32_t *p_cypher_data, uint32_t number, uint32_t *p_plain_data, uint32_t timeout)
| Decrypted an amount of data in blocking mode. More...
uint16_t | app_aes_encrypt_async (uint32_t *p_plain_data, uint32_t number, uint32_t *p_cypher_data)
| Encrypted an amount of data in non-blocking mode. More...
uint16_t | app_aes_decrypt_async (uint32_t *p_cypher_data, uint32_t number, uint32_t *p_plain_data)
| Decrypted an amount of data in non-blocking mode. More...
aes_handle_t * | app_aes_get_handle (void)
| Return the AES handle. More...
uint16_t | app_aes_dma_init (app_aes_params_t *p_params)
| Initialize the APP AES DRIVER according to the specified parameters in the app_aes_params_t and app_aes_evt_handler_t. More...
uint16_t | app_aes_dma_deinit (void)
| De-initialize the APP AES DRIVER peripheral. More...
uint16_t | app_aes_dma_encrypt_async (uint32_t *p_plain_data, uint32_t number, uint32_t *p_cypher_data)
| Encrypted an amount of data in non-blocking mode. More...
uint16_t | app_aes_dma_decrypt_async (uint32_t *p_cypher_data, uint32_t number, uint32_t *p_plain_data)
| Decrypted an amount of data in non-blocking mode. More...

## Detailed Description

## Function Documentation

## ◆ app_aes_decrypt_async()

uint16_t app_aes_decrypt_async | ( | uint32_t * | p_cypher_data,
|  | uint32_t | number,
|  | uint32_t * | p_plain_data
| ) |  |

Decrypted an amount of data in non-blocking mode.

Parameters

  [in] | p_cypher_data | Pointer to cypher data buffer.
  [in] | number | Amount of data to be decrypted in bytes
  [out] | p_plain_data | Pointer to plain data buffer

Returns
  Result of operation.

## ◆ app_aes_decrypt_sync()

uint16_t app_aes_decrypt_sync | ( | uint32_t * | p_cypher_data,
|  | uint32_t | number,
|  | uint32_t * | p_plain_data,
|  | uint32_t | timeout
| ) |  |

Decrypted an amount of data in blocking mode.

Parameters

  [in] | p_cypher_data | Pointer to cypher data buffer.
  [in] | number | Amount of data to be decrypted in bytes
  [out] | p_plain_data | Pointer to plain data buffer
  [in] | timeout | Timeout duration

Returns
  Result of operation.

## ◆ app_aes_deinit()

uint16_t app_aes_deinit | ( | void |  | ) |

De-initialize the APP AES DRIVER peripheral.

Returns
  Result of De-initialization.

## ◆ app_aes_dma_decrypt_async()

uint16_t app_aes_dma_decrypt_async | ( | uint32_t * | p_cypher_data,
|  | uint32_t | number,
|  | uint32_t * | p_plain_data
| ) |  |

Decrypted an amount of data in non-blocking mode.

Parameters

  [in] | p_cypher_data | Pointer to cypher data buffer.
  [in] | number | Amount of data to be decrypted in bytes
  [out] | p_plain_data | Pointer to plain data buffer

Returns
  Result of operation.

## ◆ app_aes_dma_deinit()

uint16_t app_aes_dma_deinit | ( | void |  | ) |

De-initialize the APP AES DRIVER peripheral.

Returns
  Result of De-initialization.

## ◆ app_aes_dma_encrypt_async()

uint16_t app_aes_dma_encrypt_async | ( | uint32_t * | p_plain_data,
|  | uint32_t | number,
|  | uint32_t * | p_cypher_data
| ) |  |

Encrypted an amount of data in non-blocking mode.

Parameters

  [in] | p_cypher_data | Pointer to cypher data buffer.
  [in] | number | Amount of data to be decrypted in bytes
  [out] | p_plain_data | Pointer to plain data buffer

Returns
  Result of operation.

## ◆ app_aes_dma_init()

uint16_t app_aes_dma_init | ( | app_aes_params_t * | p_params | ) |

Initialize the APP AES DRIVER according to the specified parameters in the app_aes_params_t and app_aes_evt_handler_t.

Note
  If interrupt mode is set, you can use blocking mode. Conversely, if blocking mode is set, you can't use interrupt mode.

Parameters

  [in] | p_params | Pointer to app_aes_params_t parameter which contains the configuration information for the specified AES module.

Returns
  Result of initialization.

## ◆ app_aes_encrypt_async()

uint16_t app_aes_encrypt_async | ( | uint32_t * | p_plain_data,
|  | uint32_t | number,
|  | uint32_t * | p_cypher_data
| ) |  |

Encrypted an amount of data in non-blocking mode.

Parameters

  [in] | p_cypher_data | Pointer to cypher data buffer.
  [in] | number | Amount of data to be decrypted in bytes
  [out] | p_plain_data | Pointer to plain data buffer

Returns
  Result of operation.

## ◆ app_aes_encrypt_sync()

uint16_t app_aes_encrypt_sync | ( | uint32_t * | p_plain_data,
|  | uint32_t | number,
|  | uint32_t * | p_cypher_data,
|  | uint32_t | timeout
| ) |  |

Encrypted an amount of data in blocking mode.

Parameters

  [in] | p_plain_data | Pointer to plain data buffer.
  [in] | number | Amount of data to be Encrypted in bytes
  [out] | p_cypher_data | Pointer to cypher data buffer
  [in] | timeout | Timeout duration

Returns
  Result of operation.

## ◆ app_aes_get_handle()

aes_handle_t* app_aes_get_handle | ( | void |  | ) |

Return the AES handle.

Returns
  Pointer to the AES handle.

## ◆ app_aes_init()

uint16_t app_aes_init | ( | app_aes_params_t * | p_params,
|  | app_aes_evt_handler_t | evt_handler
| ) |  |

Initialize the APP AES DRIVER according to the specified parameters in the app_aes_params_t and app_aes_evt_handler_t.

Note
  If interrupt mode is set, you can use blocking mode. Conversely, if blocking mode is set, you can't use interrupt mode.

Parameters

  [in] | p_params | Pointer to app_aes_params_t parameter which contains the configuration information for the specified AES module.
  [in] | evt_handler | AES user callback function.

Returns
  Result of initialization.